	 <style type="text/css">

</style>

  <?php
	include_once("../header.php");
        include_once("../php/config.php");
        $sql = mysql_query("select * from 
            cajas") or die(mysql_error());

	?>
	<script type="javascript">
		if(myLevel!="Master"){
		alert("No tiene acceso a este modulo del sitema")
		window.location.href="../menu/menu.php";
		
	}
	</script>
        
    <div class="container-fluid">
      <!-- Breadcrumbs-->
   <br>   
   <?php include_once("../barra_lateral.php")?>  

       <div class="row">
      <div class="col-md-12">
          <h3 class="text-success"><i class="fa fa-w fa-usd"></i> Registro de cajas</h3>
        <a class="btn btn-sm btn-warning mb-2" href="javascript:void(0)" onClick="modalCaja()"><i class="fa fa-plus"></i> Registrar una nueva caja</a>
        <script type="text/javascript">
          function modalCaja(){
            $("#modalCaja").modal('show');
    
                
             $("#frm").trigger('reset'); 
                setTimeout(function(){
                $("#nombre").focus();
                $("#nombre").select();
                $("#fondo").prop("disabled",false);

            },500)
            
        }
        </script>
        <div class="table-responsive">
          <table class="table table-sm table-borderred">
            <thead>
              <th># caja</th>
              <th>Descripcion</th>
              <th>Fondo disponible</th>
             
           
              <th>Opciones</th>
            </thead>
            <tbody>
                                                        <?php while($r=mysql_fetch_array($sql)){?>
              <tr>
                <td><?php echo $r["id_caja"]?></td>
                <td><?php echo $r["nombre_caja"]?></td>

              <td><?php echo decimal($r["fondo"])?></td>
             
               <td><a class="btn btn-sm btn-warning mb-2" href="#modalCaja" data-toggle="modal" onClick='ver(<?php echo $r["id_caja"]?>)'><i class="fa fa-eye"></i></a></td>
              </tr>
                                                        <?php }?>
            </tbody>
          </table>
        </div>
      </div>
    </div>
    
        </div>
      </div>
      


          
</div>
        


     </div>
   </div>
   
		
    </div>

	<!---Modal Cliente-->
	<div class="modal fade" id="modalCaja" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
             
            <h5 class="modal-title text-success" id="exampleModalLabel"><i class="fa fa-w fa-usd"></i> Registro de cajas</h5>
           
            
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
              <img src="../img/caja.png" style="width:100px;"> 
                    
		  <form name="frm" action="" method="POST" id="frm">
			 
     

        <div class="row">
  				<label for="id" class="col-sm-3 col-form-label" >Id</label>
  				<div class="col-sm-3">
  				  <input autocomplete="off" type="text"  class="form-control  mb-2" id="id_caja" value="" disabled>
  				</div>
			  </div>
			  
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Descripcion</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="nombre_caja" name="nombre_caja" value="">
          </div>
        </div>
			  
       
        
         <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Total ingresos</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="number" disabled  class="form-control mb-2" id="total_ingreso" name="total_igreso" value="">
          </div>
        </div>   
       <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Total egreso</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="number" disabled  class="form-control mb-2" id="total_egreso" name="total_egreso" value="">
          </div>
        </div> 
                      
                      
     <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Balance</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="number"  class="form-control mb-2" id="fondo" name="fondo" value="">
          </div>
        </div>
         <br>
      


			  
			  
		  </form>
		  
		  </div>
          <div class="modal-footer">
            <button class="btn btn-success" type="button" onclick="grabar_caja()"><i class="fa fa-w fa-save"></i> Grabar</button>

                  <button class="btn btn-warning" type="button" onclick="borrar()" id="delete"><i class="fa fa-w fa-trash"></i> Borrar</button>

            <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>
$("#delete").hide();
id_caja="";
function ver(id){

    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#descripcion").focus();
        $("#descripcion").select();
       
    },1000);

            var sql="select * from cajas where id_caja='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_caja= rs.data[i].id_caja; 
                    $("#id_caja").val(rs.data[i].id_caja);
                    $("#nombre_caja").val(rs.data[i].nombre_caja);
                    $("#total_ingreso").val(rs.data[i].total_ingreso);
                    $("#total_egreso").val(rs.data[i].total_egreso);
                    $("#fondo").val(rs.data[i].fondo);
                   
                    $("#total_ingreso").prop("disabled",true);
                    $("#total_egreso").prop("disabled",true);
                    $("#fondo").prop("disabled",true);
                    

                  
                }
                $("#loading").modal('hide');
            })
        }
  
  function grabar_caja(){
     if(!confirm("Seguro(a) que desea registrar este caja?")){return;}                   
    
     var fondo = $("#fondo").val();
     var nombre_caja = $("#nombre_caja").val();
     id_caja = $("#id_caja").val();
     
     



     if(nombre_caja==""){alert('Faltan datos'); return}
    var sql="";                            
        if(id_caja==""){
            sql="INSERT INTO cajas set ";
            sql+="nombre_caja='"+nombre_caja+"'";
            sql+=", fondo='"+fondo+"'";
            
           

        }else{
            sql="UPDATE cajas set";
            sql+=" nombre_caja='"+nombre_caja+"'";
            sql+=", fondo='"+fondo+"'";
            sql+=" WHERE id_caja='"+id_caja+"'";
           
            
        }
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalCaja").modal('hide');
        noti("success","Registro grabado con exito","Registro grabado");
       
        dstry();
        id_caja="";

      }else{
          alert(data);
          
      }
        $("#loading").modal('hide');
    })
}
  

 function borrar(){
  
     if(id_caja==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    var sql="";                            
    sql="delete from caja where id_caja='"+id_caja+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalCaja").modal('hide');
        alert("Registro eliminado con exito");
        
        dstry();
        id_caja="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          alert(data);
          
      }
        $("#loading").modal('hide');
    })
}


 
 
 function get_caja(caja){
            var sql="select * from cajas where nombre_caja='"+caja+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    nombre_caja= rs.data[i].nombre_caja;
                   
                }
                $("#loading").modal('hide');
            })
        }

 
 
 $(".table").DataTable();
         
        </script>

